////////////////////////////////////////////////////////////////////////////////////////////////////
// Experiment 13 - Debug vertex shader
////////////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////////////
// ATTRIBUTE
attribute vec3    pos_attr;
attribute vec4    col_attr;						
////////////////////////////////////////////////////////////////////////////////////////////////////
// UNIFORM
uniform mat4      g_mViewProjTM;
////////////////////////////////////////////////////////////////////////////////////////////////////
// VARYING
varying vec4	  vColor;
////////////////////////////////////////////////////////////////////////////////////////////////////
void main(void)
{
	vColor = col_attr;
	
    // Output vertex position
    gl_Position = g_mViewProjTM * vec4( pos_attr.xyz, 1.0 );
}




