////////////////////////////////////////////////////////////////////////////////////////////////////
// Experiment 13 - Default fragment shader (alpha tested)
////////////////////////////////////////////////////////////////////////////////////////////////////

// OpenGL ES require that precision is defined for a fragment shader
#ifdef GL_FRAGMENT_PRECISION_HIGH
   // Default precision
   precision highp float;
#else
   precision mediump float;
#endif

////////////////////////////////////////////////////////////////////////////////////////////////////
// UNIFORM
uniform sampler2D   g_texture;
uniform vec4		g_modcol;
////////////////////////////////////////////////////////////////////////////////////////////////////
// VARYING
varying vec2		vTexCoord;
varying vec3		vColor;
////////////////////////////////////////////////////////////////////////////////////////////////////
void main(void)
{
	vec4 vDiffuse = texture2D( g_texture, vTexCoord );
	if(vDiffuse.a < 0.5)
      discard;
	gl_FragColor = vec4(vColor*vDiffuse.rgb,1.0);
	//gl_FragColor = vec4( g_modcol.rgb, 1.0 );
/*
    vec4 vDiffuse = texture2D( g_texture, vTexCoord );
    if(vDiffuse.a < 0.5)
      discard;
    gl_FragColor = vec4( vDiffuse.rgb * vColor, 1.0 ); 
    //gl_FragColor = vec4( vColor, 1.0 ); 
    //gl_FragColor = vec4( g_modcol.rgb, 1.0 );
*/
}
