////////////////////////////////////////////////////////////////////////////////////////////////////
//depth of field post processing vertex shader
// 
////////////////////////////////////////////////////////////////////////////////////////////////////



////////////////////////////////////////////////////////////////////////////////////////////////////
uniform mat4 g_mTransform;



////////////////////////////////////////////////////////////////////////////////////////////////////
attribute vec3 pos_attr;
attribute vec2 uv_attr;



////////////////////////////////////////////////////////////////////////////////////////////////////
varying vec4 uv_var;



////////////////////////////////////////////////////////////////////////////////////////////////////
void main()
{
	gl_Position  = g_mTransform * vec4( pos_attr.xyz, 1.0 );
	uv_var       = vec4( uv_attr.xy, uv_attr.xy * vec2( 6.25, 3.75 ) );
}
