////////////////////////////////////////////////////////////////////////////////////////////////////
// Experiment 13 - Unlit SH gen fragment shader
////////////////////////////////////////////////////////////////////////////////////////////////////

// OpenGL ES require that precision is defined for a fragment shader
#ifdef GL_FRAGMENT_PRECISION_HIGH
   // Default precision
   precision highp float;
#else
   precision mediump float;
#endif

////////////////////////////////////////////////////////////////////////////////////////////////////
// UNIFORM
uniform sampler2D   g_texture;
////////////////////////////////////////////////////////////////////////////////////////////////////
// VARYING
varying vec2	  vTexCoord;
////////////////////////////////////////////////////////////////////////////////////////////////////
void main(void)
{
    gl_FragColor = texture2D( g_texture, vTexCoord ) * 12.0;
}
