////////////////////////////////////////////////////////////////////////////////////////////////////
uniform mat4 g_mTransform;

////////////////////////////////////////////////////////////////////////////////////////////////////

attribute vec3 pos_attr;
attribute vec4 col_attr;
attribute vec2 uv_attr;

////////////////////////////////////////////////////////////////////////////////////////////////////

varying vec4 col_var;
varying vec2 uv_var;

////////////////////////////////////////////////////////////////////////////////////////////////////
void main()
{
    // Project the positions normally
    vec4 vPos = g_mTransform * vec4( pos_attr.x, pos_attr.y, pos_attr.z, 1.0 );
    vPos.z = vPos.z - 1.0;
    gl_Position = vPos;
    col_var     = col_attr;
    uv_var      = uv_attr;
}

