////////////////////////////////////////////////////////////////////////////////////////////////////
//passthru post processing fragment shader
// 
////////////////////////////////////////////////////////////////////////////////////////////////////

// OpenGL ES require that precision is defined for a fragment shader
#ifndef NO_PRECISION_DEFINITION
	#ifdef GL_FRAGMENT_PRECISION_HIGH
	   precision highp float;
	#else
	   precision mediump float;
	#endif
#endif




////////////////////////////////////////////////////////////////////////////////////////////////////
uniform sampler2D g_texture;



////////////////////////////////////////////////////////////////////////////////////////////////////
varying vec2      uv_var;



////////////////////////////////////////////////////////////////////////////////////////////////////
void main()
{
    //vec3 x = max( vec3( 0.0, 0.0, 0.0 ), texColor.rgb - vec3( 0.004, 0.004, 0.004 ) );
    //vec3 retColor = (x*(6.2*x+0.5))/(x*(6.2*x+1.7)+0.06);
    //gl_FragColor = vec4( retColor.rgb, 1.0 );
 
	vec4 texColor = texture2D( g_texture, uv_var );   
    gl_FragColor = texColor;
}
