////////////////////////////////////////////////////////////////////////////////////////////////////
// Oasis - SH light ball vertex shader
// 
////////////////////////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////////////////////////
uniform mat4      g_mWorldTM;                   // PARAM_WORLD_TRANSFORM
uniform mat4      g_mViewProjTM;                // PARAM_VIEWPROJ_TRANSFORM


////////////////////////////////////////////////////////////////////////////////////////////////////
attribute vec3    pos_attr;                     // INDEX_POS_ATTR
////////////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////////////
void main(void)
{
    // Transform position and normal
    vec4 vWorldPos = g_mWorldTM * vec4( pos_attr.xyz, 1.0 );
    vec4 vPos = g_mViewProjTM * vWorldPos;   

    // Output position
    gl_Position = vPos;
}


