////////////////////////////////////////////////////////////////////////////////////////////////////
// Experiment 13 - Unlit fragment shader
////////////////////////////////////////////////////////////////////////////////////////////////////

// OpenGL ES require that precision is defined for a fragment shader
#ifdef GL_FRAGMENT_PRECISION_HIGH
   // Default precision
   precision highp float;
#else
   precision mediump float;
#endif

////////////////////////////////////////////////////////////////////////////////////////////////////
// UNIFORM
uniform sampler2D   g_texture;
////////////////////////////////////////////////////////////////////////////////////////////////////
// VARYING
varying vec2	  vTexCoord;
////////////////////////////////////////////////////////////////////////////////////////////////////
void main(void)
{
	vec4 vColor = texture2D( g_texture, vTexCoord );
	if(vColor.a <= 0.5)
		discard;
    gl_FragColor = vColor;
}
