////////////////////////////////////////////////////////////////////////////////////////////////////
// Experiment 13 - Unlit vertex shader
////////////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////////////
// ATTRIBUTE
attribute vec3    pos_attr;
attribute vec2    uv_attr;						
////////////////////////////////////////////////////////////////////////////////////////////////////
// UNIFORM
uniform mat4      g_mTransform;
uniform mat4      g_mTextureTM;
////////////////////////////////////////////////////////////////////////////////////////////////////
// VARYING
varying vec2	  vTexCoord;
////////////////////////////////////////////////////////////////////////////////////////////////////
void main(void)
{
	vTexCoord = (g_mTextureTM * vec4(uv_attr,0.0,1.0)).xy;
	
    // Output vertex position
    gl_Position = g_mTransform * vec4( pos_attr.xyz, 1.0 );
}




